package com.fusi24.rfid.data;

import com.fusi24.rfid.data.api.RestService;
import com.fusi24.rfid.data.model.DataResultRfid;

import io.reactivex.Observable;

public class DataManager {

    private RestService restService;

    public DataManager(RestService restService) {
        this.restService = restService;
    }

    public Observable<DataResultRfid> checkRfidCard(String numberRfid, Integer permitId, String[] expand) {
        return restService.checkRfidCard(numberRfid, permitId, expand);
    }

}
